/// <reference types="react" />
/** Generate React elements from BBCode
 *
 * @param input
 *  BBCode to parse
 *
 * @param transforms
 *  A list of transforms. Defaults to the `defaultTransforms` exported from this package.
 *
 * @param errorIfNoTransform
 *  If true, throws an error when a tag is not in the transforms list. This is the default behavior.
 *
 *  If false, will only throw a warning and render the tag as plain text.
 *
 * @returns
 *  a React.ReactElement parsed from the `input` BBCode
 */
export declare function generateReact(input: string, transforms?: readonly import("./index.js").Transform[], errorIfNoTransform?: boolean): React.ReactElement;
//# sourceMappingURL=generateReact.d.ts.map