/** Parse a URL that could be relative or absolute.
 *
 * @param rawUrl
 *  The URL string to parse.
 * @param doDangerCheck
 *  If true, check if the URL is dangerous. Defaults to true.
 * @returns
 *  An object with the URL and the path.
 *
 * If the URL is dangerous or could not be parsed, `path` will be `null`. If the URL is relative, `url` will be `undefined` as the URL spec does not support relative URLs.
 */
export declare function parseMaybeRelativeUrl(rawUrl: string, doDangerCheck?: boolean): {
    url?: URL;
    path: string | null;
};
//# sourceMappingURL=parseMaybeRelativeUrl.d.ts.map