export function tokenTypeToString(tokenType) {
    switch (tokenType) {
        case 0 /* TokenType.STR */: return 'STR';
        case 1 /* TokenType.LINEBREAK */: return 'LINEBREAK';
        case 2 /* TokenType.L_BRACKET */: return 'L_BRACKET';
        case 3 /* TokenType.R_BRACKET */: return 'R_BRACKET';
        case 4 /* TokenType.BACKSLASH */: return 'BACKSLASH';
        case 5 /* TokenType.EQUALS */: return 'EQUALS';
        case 6 /* TokenType.XSS_AMP */: return 'XSS_AMP';
        case 7 /* TokenType.XSS_LT */: return 'XSS_LT';
        case 8 /* TokenType.XSS_GT */: return 'XSS_GT';
        case 9 /* TokenType.XSS_D_QUOTE */: return 'XSS_D_QUOTE';
        case 10 /* TokenType.XSS_S_QUOTE */: return 'XSS_S_QUOTE';
    }
}
export function isStringToken(tokenType) {
    switch (tokenType) {
        case 6 /* TokenType.XSS_AMP */:
        case 7 /* TokenType.XSS_LT */:
        case 8 /* TokenType.XSS_GT */:
        case 9 /* TokenType.XSS_D_QUOTE */:
        case 10 /* TokenType.XSS_S_QUOTE */:
        case 0 /* TokenType.STR */: {
            return true;
        }
    }
    return false;
}
export const symbolTable = {
    '\n': 1 /* TokenType.LINEBREAK */,
    '[': 2 /* TokenType.L_BRACKET */,
    ']': 3 /* TokenType.R_BRACKET */,
    '/': 4 /* TokenType.BACKSLASH */,
    '=': 5 /* TokenType.EQUALS */,
    '&': 6 /* TokenType.XSS_AMP */,
    '<': 7 /* TokenType.XSS_LT */,
    '>': 8 /* TokenType.XSS_GT */,
    '"': 9 /* TokenType.XSS_D_QUOTE */,
    "'": 10 /* TokenType.XSS_S_QUOTE */,
};
//# sourceMappingURL=TokenType.js.map